Overview
Comment: | Updated to use FOSSIL_CHANGE as UUID for download, to prevent potential race condition |
---|---|
Downloads: | Tarball | ZIP archive | SQL archive |
Timelines: | family | ancestors | descendants | both | trunk |
Files: | files | file ages | folders |
SHA1: |
b00d829cca8d353dfe52e1e7e43c1700 |
User & Date: | rkeene on 2011-05-21 13:57:15 |
Other Links: | manifest | tags |
Context
2011-05-21
| ||
16:04 | Updated to only look at the trunk for the change UUID check-in: fb120151ec user: rkeene tags: trunk | |
13:57 | Updated to use FOSSIL_CHANGE as UUID for download, to prevent potential race condition check-in: b00d829cca user: rkeene tags: trunk | |
13:49 | Added basic sanity check to nightly testing script check-in: c2be59edab user: rkeene tags: trunk | |
Changes
Modified build/test/do-nightly-tests-and-publish from [751816bb2c] to [02642024b3].
︙ | ︙ | |||
14 15 16 17 18 19 20 | # Determine change of fossil revision FOSSIL_CHANGE="$(fossil timeline --repository "${KITCREATORFOSSIL}" -n 1 -t ci | grep '^[0-9:]* \[' | sed 's@^[0-9:]* \[\([0-9a-f]*\)\].*$@\1@')" TESTNAME="fossil_${FOSSIL_CHANGE}" export FOSSIL_CHANGE TESTNAME # Verify sanity issane=1 | | | | 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 | # Determine change of fossil revision FOSSIL_CHANGE="$(fossil timeline --repository "${KITCREATORFOSSIL}" -n 1 -t ci | grep '^[0-9:]* \[' | sed 's@^[0-9:]* \[\([0-9a-f]*\)\].*$@\1@')" TESTNAME="fossil_${FOSSIL_CHANGE}" export FOSSIL_CHANGE TESTNAME # Verify sanity issane=1 if [ -z "${FOSSIL_CHANGE}" ]; then echo "Unable to determine name of latest revision, likely missing Kitcreator Fossil Repo: ${KITCREATORFOSSIL}" >&2 issane=0 fi if [ ! -d "${WEBROOTDIR}" ]; then echo "Missing Web Root Directory: ${WEBROOTDIR}" >&2 |
︙ | ︙ | |||
63 64 65 66 67 68 69 | rm -rf "${TMPWORKDIR}" exit 1 } # Download latest tarball | | | 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 | rm -rf "${TMPWORKDIR}" exit 1 } # Download latest tarball wget -O 'kitcreator-trunk-tip.tar.gz' -o /dev/null "http://kitcreator.rkeene.org/fossil/tarball/kitcreator-trunk-tip.tar.gz?uuid=${FOSSIL_CHANGE}" tar -xf kitcreator-trunk-tip.tar.gz || die 'Tarball Extraction Failed' cd kitcreator-trunk-tip || die 'Tarball Sanity Failed' # Prepare source ./build/pre.sh >/dev/null 2>/dev/null |
︙ | ︙ |